Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
@ 2021-07-22  3:03 ahesford
  2021-07-22  3:26 ` [PR PATCH] [Updated] " ahesford
                   ` (8 more replies)
  0 siblings, 9 replies; 10+ messages in thread
From: ahesford @ 2021-07-22  3:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1143 bytes --]

There is a new pull request by ahesford against master on the void-packages repository

https://github.com/ahesford/void-packages trigger-fix
https://github.com/void-linux/void-packages/pull/32120

common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
When a template defines `$triggers`, `xbps-src` writes an `INSTALL` script that will invoke the triggers. If the triggers fail, the test in

    [ $? -ne 0 ] && exit $?

will succeed and `exit` will be invoked. However, at the time `exit` is invoked, `$?` will take the value of *the test* `[ $? -ne 0 ]`, which is always `0` (or else the `&&` will short-circuit and the `exit` will not run).

The right thing to do is capture `$?` in a persistent variable, `$ret`, that can be tested and returned to properly forward the failure code through the trigger.

**NOTE**: This needs a bit of testing, because I don't yet understand the ramifications for `xbps-install` receiving a non-zero trigger return when all of them have returned `0` thus far.

A patch file from https://github.com/void-linux/void-packages/pull/32120.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-trigger-fix-32120.patch --]
[-- Type: text/x-diff, Size: 1393 bytes --]

From bfd6844d41351f6621cbce819cf305d65d30ae9b Mon Sep 17 00:00:00 2001
From: "Andrew J. Hesford" <ajh@sideband.org>
Date: Wed, 21 Jul 2021 22:57:10 -0400
Subject: [PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh:
   fix return code of failed trigger runs

---
 .../hooks/post-install/04-create-xbps-metadata-scripts.sh   | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
index 8bb86c4487a5..406a6fc233f7 100644
--- a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
+++ b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
@@ -327,7 +327,8 @@ _EOF
 					continue
 				fi
 				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\tret=\$?\n" >> $tmpf
+				printf "\t[ \$ret -ne 0 ] && exit \$ret\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf
@@ -339,7 +340,8 @@ _EOF
 					continue
 				fi
 				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\tret=\$?\n" >> $tmpf
+				printf "\t[ \$ret -ne 0 ] && exit \$ret\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
@ 2021-07-22  3:26 ` ahesford
  2021-07-22  3:30 ` ahesford
                   ` (7 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2021-07-22  3:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1148 bytes --]

There is an updated pull request by ahesford against master on the void-packages repository

https://github.com/ahesford/void-packages trigger-fix
https://github.com/void-linux/void-packages/pull/32120

common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
When a template defines `$triggers`, `xbps-src` writes an `INSTALL` script that will invoke the triggers. If the triggers fail, the test in

    [ $? -ne 0 ] && exit $?

will succeed and `exit` will be invoked. However, at the time `exit` is invoked, `$?` will take the value of *the test* `[ $? -ne 0 ]`, which is always `0` (or else the `&&` will short-circuit and the `exit` will not run).

The right thing to do is capture `$?` in a persistent variable, `$ret`, that can be tested and returned to properly forward the failure code through the trigger.

**NOTE**: This needs a bit of testing, because I don't yet understand the ramifications for `xbps-install` receiving a non-zero trigger return when all of them have returned `0` thus far.

A patch file from https://github.com/void-linux/void-packages/pull/32120.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-trigger-fix-32120.patch --]
[-- Type: text/x-diff, Size: 1546 bytes --]

From dd2fd23e59baa5aca6e52c25d25de7d4d4b7aba8 Mon Sep 17 00:00:00 2001
From: "Andrew J. Hesford" <ajh@sideband.org>
Date: Wed, 21 Jul 2021 22:57:10 -0400
Subject: [PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh:
   fix return code of failed trigger runs

---
 .../hooks/post-install/04-create-xbps-metadata-scripts.sh   | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
index 8bb86c4487a5..1d41b58a4ee6 100644
--- a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
+++ b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
@@ -326,8 +326,7 @@ _EOF
 				if ! [[ $j =~ pre-${action} ]]; then
 					continue
 				fi
-				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\t\${TRIGGERSDIR}/$f run $j \"\${PKGNAME}\" \"\${VERSION}\" \"\${UPDATE}\" \"\${CONF_FILE}\" || exit\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf
@@ -338,8 +337,7 @@ _EOF
 				if ! [[ $j =~ post-${action} ]]; then
 					continue
 				fi
-				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\t\${TRIGGERSDIR}/$f run $j \"\${PKGNAME}\" \"\${VERSION}\" \"\${UPDATE}\" \"\${CONF_FILE}\" || exit\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
  2021-07-22  3:26 ` [PR PATCH] [Updated] " ahesford
@ 2021-07-22  3:30 ` ahesford
  2021-08-31 15:39 ` [PR PATCH] [Updated] " ahesford
                   ` (6 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2021-07-22  3:30 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 848 bytes --]

New comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-884634294

Comment:
As pointed out in IRC by @sgn, a much more elegant approach is the just `|| exit` after each trigger invocation. The bare `exit` will forward the (failed) return code of the trigger out of the shell and we don't need to capture an intermediate variable.

While I'm poking around here, I also noticed that none of the trigger arguments are quoted. By convention none by `$CONF_FILE` should contain spaces, so this doesn't matter; also, no existing trigger uses the `$CONF_FILE` argument anyway. Nevertheless, should it ever become important, quoting the `$CONF_FILE` is a good idea since the configuration path provided by a user might contain spaces arbitrarily. I'm quoting everything else just in case.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Updated] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
  2021-07-22  3:26 ` [PR PATCH] [Updated] " ahesford
  2021-07-22  3:30 ` ahesford
@ 2021-08-31 15:39 ` ahesford
  2021-08-31 15:39 ` ahesford
                   ` (5 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2021-08-31 15:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1148 bytes --]

There is an updated pull request by ahesford against master on the void-packages repository

https://github.com/ahesford/void-packages trigger-fix
https://github.com/void-linux/void-packages/pull/32120

common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
When a template defines `$triggers`, `xbps-src` writes an `INSTALL` script that will invoke the triggers. If the triggers fail, the test in

    [ $? -ne 0 ] && exit $?

will succeed and `exit` will be invoked. However, at the time `exit` is invoked, `$?` will take the value of *the test* `[ $? -ne 0 ]`, which is always `0` (or else the `&&` will short-circuit and the `exit` will not run).

The right thing to do is capture `$?` in a persistent variable, `$ret`, that can be tested and returned to properly forward the failure code through the trigger.

**NOTE**: This needs a bit of testing, because I don't yet understand the ramifications for `xbps-install` receiving a non-zero trigger return when all of them have returned `0` thus far.

A patch file from https://github.com/void-linux/void-packages/pull/32120.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-trigger-fix-32120.patch --]
[-- Type: text/x-diff, Size: 2829 bytes --]

From fa7d0531bcfc7da3d6fbe7d1c801791530eac5c4 Mon Sep 17 00:00:00 2001
From: "Andrew J. Hesford" <ajh@sideband.org>
Date: Wed, 21 Jul 2021 22:57:10 -0400
Subject: [PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh:
   fix return code of failed trigger runs

This fixes an incorrect propagation of failed trigger return codes in
INSTALL scripts. The prior behavior would cause XBPS to ignore any
configuration errors and mark packages configured. Now, XBPS will report
a failure and leave all packages in the transaction unconfigured.

Return codes from triggers in REMOVE scripts are simply ignored. If a
trigger fails to run in REMOVE and XBPS notices, the package will not be
removal until (or if) the REMOVE script can be made to run error free.
This could produce an unrecoverable situation, so it seems better just
to ignore failures and proceed with removal (as happened before anyway).
---
 .../04-create-xbps-metadata-scripts.sh             | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
index 8bb86c4487a5..4b4cd0efdb4c 100644
--- a/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
+++ b/common/hooks/post-install/04-create-xbps-metadata-scripts.sh
@@ -15,11 +15,13 @@ process_metadata_scripts() {
 	local tmpf=$(mktemp) || exit 1
 	local fpattern="s|${PKGDESTDIR}||g;s|^\./$||g;/^$/d"
 	local targets= f= _f= info_files= home= shell= descr= groups=
-	local found= triggers_found= _icondirs= _schemas= _mods= _tmpfiles=
+	local found= triggers_found= _icondirs= _schemas= _mods= _tmpfiles= trigguard=
 
+	# Trigger failures propagate on INSTALL but are ignored on REMOVE
+	# If REMOVE failures were propagated, packages would be uninstallable
 	case "$action" in
-		install) ;;
-		remove) ;;
+		install) trigguard="exit" ;;
+		remove) trigguard="true" ;;
 		*) return 1;;
 	esac
 
@@ -326,8 +328,7 @@ _EOF
 				if ! [[ $j =~ pre-${action} ]]; then
 					continue
 				fi
-				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\t\${TRIGGERSDIR}/$f run $j \"\${PKGNAME}\" \"\${VERSION}\" \"\${UPDATE}\" \"\${CONF_FILE}\" || ${trigguard}\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf
@@ -338,8 +339,7 @@ _EOF
 				if ! [[ $j =~ post-${action} ]]; then
 					continue
 				fi
-				printf "\t\${TRIGGERSDIR}/$f run $j \${PKGNAME} \${VERSION} \${UPDATE} \${CONF_FILE}\n" >> $tmpf
-				printf "\t[ \$? -ne 0 ] && exit \$?\n" >> $tmpf
+				printf "\t\${TRIGGERSDIR}/$f run $j \"\${PKGNAME}\" \"\${VERSION}\" \"\${UPDATE}\" \"\${CONF_FILE}\" || ${trigguard}\n" >> $tmpf
 			done
 		done
 		printf "\t;;\n" >> $tmpf

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (2 preceding siblings ...)
  2021-08-31 15:39 ` [PR PATCH] [Updated] " ahesford
@ 2021-08-31 15:39 ` ahesford
  2021-08-31 15:41 ` ahesford
                   ` (4 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2021-08-31 15:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3638 bytes --]

New comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-909351895

Comment:
OK, I had some time to test this some more. I modied the `pycompile` trigger to always `exit 1` in place of the current `exit 0`, then tried installing an existing `python3-setuptools` package. (The existing package has the old `INSTALL` behavior that this PR fixes.)

With the existing behavior, the `INSTALL` script consumes all trigger failures. Failures in the triggers may or may not cause some information to be printed to stdout (this obviously depends on the trigger scripts), but XBPS never sees a nonzero return code. It happily reports a successful installation:
```
[...]
python3-setuptools-57.0.0_1: configuring ...
Byte-compiling python3.9 code for module _distutils_hack...
Byte-compiling python3.9 code for module pkg_resources...
Byte-compiling python3.9 code for module setuptools...
Updating ldconfig(8) cache...
python3-setuptools-57.0.0_1: installed successfully.

7 downloaded, 7 installed, 0 updated, 7 configured, 0 removed.
```
The `xbps-install` process returns `0` and the package `python3-setuptools` shows up as installed and configured (`ii`) in the output of `xbps-query -l`.

After rebuilding the `python3-setuptools` package to get an `INSTALL` script with fixed behavior, `xbps-install` instead reports
```
[...]
python3-setuptools-57.0.0_2: configuring ...
Byte-compiling python3.9 code for module pkg_resources...
Byte-compiling python3.9 code for module setuptools...
Byte-compiling python3.9 code for module _distutils_hack...
Updating ldconfig(8) cache...
ERROR: python3-setuptools-57.0.0_2: [configure] INSTALL script failed to execute the post ACTION: Operation not permitted
Transaction failed! see above for errors.
```
and returns `1`. While the package is installed, it remains in an unconfigured state (`uu` in the output of `xbps-query -l`). In fact, every package installed as part of the transaction remains unconfigured. Attempted to reconfigure the packages causes the same error and leaves the packages unconfigured. Running `xbps-reconfigure -a` will leave all unconfigured packages in the same unconfigured state. However, those packages with triggers that do not fail can be individually configured in separate transactions.

When removing a package, any removal triggers (like `pycompile` in this test) will report failure and abort the installation, leaving the package installed and whatever configuration state it was in before the removal. (Note that some part of the removal trigger may have run, so package state may have changed even though the package remains installed.) Even `xbps-remove -f` seems to fail here, so the package will be uninstallable as long as the removal hook fails.

Thoughts:
1. I think propagating the install errors through to XBPS is the right behavior, and leaving the packages unconfigured is also correct. The configuration failed, so the package shouldn't be marked configured. However, who knows how many triggers leak unexpected nonzero returns harmlessly? We don't know.
2. Propagating the nonzero return on *remove* seems a bit risky here. The package will be effectively uninstallable until (or if) the removal hook can be run without errors. It's probably better to just swallow the error and allow the removal to proceed. I've updated the change to impose this behavior.
3. This behavior won't take effect in packages until they are rebuilt with the new `xbps-src` hook. I don't think there's a need to bulk rebuild everything; the fix can leak in by attrition.


^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (3 preceding siblings ...)
  2021-08-31 15:39 ` ahesford
@ 2021-08-31 15:41 ` ahesford
  2022-05-30  2:15 ` github-actions
                   ` (3 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2021-08-31 15:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 400 bytes --]

New comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-909353388

Comment:
My testing shows that this fix has broader ramifications than I'd originally thought---properly honoring the return code on remove and preventing package uninstallation seems bad---so I'd like more input from @void-linux/pkg-committers before moving forward.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (4 preceding siblings ...)
  2021-08-31 15:41 ` ahesford
@ 2022-05-30  2:15 ` github-actions
  2022-10-10 10:23 ` Duncaen
                   ` (2 subsequent siblings)
  8 siblings, 0 replies; 10+ messages in thread
From: github-actions @ 2022-05-30  2:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 305 bytes --]

New comment by github-actions[bot] on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-1140611822

Comment:
Pull Requests become stale 90 days after last activity and are closed 14 days after that.  If this pull request is still relevant bump it or assign it.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (5 preceding siblings ...)
  2022-05-30  2:15 ` github-actions
@ 2022-10-10 10:23 ` Duncaen
  2022-10-11 17:48 ` [PR PATCH] [Closed]: " ahesford
  2022-10-11 17:53 ` ahesford
  8 siblings, 0 replies; 10+ messages in thread
From: Duncaen @ 2022-10-10 10:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 487 bytes --]

New comment by Duncaen on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-1273099449

Comment:
I think we'll have to fix xbps to not abort transactions on non 0 exits, its a bad idea in general because it leaves the pkgdb in a bad state and we already have a `half-installed` package state for this, but it would be currently only set for the last package which would abort the update/install with `exit 1` or if `XBPS_TARGET_ARCH` is stet.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: [PR PATCH] [Closed]: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (6 preceding siblings ...)
  2022-10-10 10:23 ` Duncaen
@ 2022-10-11 17:48 ` ahesford
  2022-10-11 17:53 ` ahesford
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2022-10-11 17:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 986 bytes --]

There's a closed pull request on the void-packages repository

common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
https://github.com/void-linux/void-packages/pull/32120

Description:
When a template defines `$triggers`, `xbps-src` writes an `INSTALL` script that will invoke the triggers. If the triggers fail, the test in

    [ $? -ne 0 ] && exit $?

will succeed and `exit` will be invoked. However, at the time `exit` is invoked, `$?` will take the value of *the test* `[ $? -ne 0 ]`, which is always `0` (or else the `&&` will short-circuit and the `exit` will not run).

The right thing to do is capture `$?` in a persistent variable, `$ret`, that can be tested and returned to properly forward the failure code through the trigger.

**NOTE**: This needs a bit of testing, because I don't yet understand the ramifications for `xbps-install` receiving a non-zero trigger return when all of them have returned `0` thus far.

^ permalink raw reply	[flat|nested] 10+ messages in thread

* Re: common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs
  2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
                   ` (7 preceding siblings ...)
  2022-10-11 17:48 ` [PR PATCH] [Closed]: " ahesford
@ 2022-10-11 17:53 ` ahesford
  8 siblings, 0 replies; 10+ messages in thread
From: ahesford @ 2022-10-11 17:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 262 bytes --]

New comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/32120#issuecomment-1275065769

Comment:
Given the potential pitfalls of honoring the return code without a corresponding fix in XBPS, I'm binning this for now.

^ permalink raw reply	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2022-10-11 17:53 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-07-22  3:03 [PR PATCH] common/hooks/post-install/04-create-xbps-metadata-scripts.sh: fix return code of failed trigger runs ahesford
2021-07-22  3:26 ` [PR PATCH] [Updated] " ahesford
2021-07-22  3:30 ` ahesford
2021-08-31 15:39 ` [PR PATCH] [Updated] " ahesford
2021-08-31 15:39 ` ahesford
2021-08-31 15:41 ` ahesford
2022-05-30  2:15 ` github-actions
2022-10-10 10:23 ` Duncaen
2022-10-11 17:48 ` [PR PATCH] [Closed]: " ahesford
2022-10-11 17:53 ` ahesford

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).